RPM is a package management system intended primarily for Linux distributions.

learn more… | top users | synonyms

2
votes
2answers
4k views

Why does yum continue to complain about a missing dependency that is already installed?

I have a self-created rpm for mapserver 6.2.1 that I want to support Oracle, but I am having a lot of difficulties getting it all to work. I have installed the oracle-instantclient12.1-basic-12.1.0.1....
0
votes
1answer
1k views

PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/php_mysql.so'

I am running PHP 5.6 on Linux. When I try to load a PHP page, I'm getting the following PHP error. PHP Startup: Unable to load dynamic library /usr/lib64/php/modules/php_mysql.so' When I look ...
0
votes
0answers
48 views

yum install error nothing to do (MYSQL, CentOS 7)

I'm trying to install MYSQL instead of MariaDB on my VPS CentOS 7. I used this command: wget http://repo.mysql.com/mysql-community-release-el7-5.noarch.rpm yum install http://dev.mysql.com/get/mysql-...
0
votes
1answer
25 views

What's the fastest way to install Postgresql on Wind River 7.0?

I'm new to bare-bones Linux systems and need to install postgres on a wind river Linux distribution. My plan was to install yum and then use yum to install the postgres rpm. I've tried to install ...
2
votes
1answer
8k views

Getting “cpio: Bad magic” when trying to rpm install into a mounted Logical Volume

I am trying to follow the Xen guide to provision a domU using package installation of the Fedora 15 release (the dom0 is CentOS 5.6). I've run the rpm install command with an alternate root to a ...
2
votes
2answers
727 views

Why does the Centos apache httpd-2.2.3 rpm remove the bundled apr,apr-util,pcre?

I am manually building httpd-2.2.17 from the source. Just to make sure I have the configuration options right, I checked the latest CENTOS apache srpm (which is for httpd-2.2.3). In the httpd.spec I ...
1
vote
2answers
267 views

How to Resolve a .so Dependency

I have a package (.rpm) on CentOS 6.5 that requires a .so file, which I also have on my machine. When I attempt to install the package I get an error stating unresolved dependencies regarding the .so ...
0
votes
1answer
817 views

Big trouble : rpm empty db, install V3 RSA/SHA1 Signature, key BAD, YumRepo Error

I'm little tired because I have spent hours solving problems, and can't find a solution on Centos 6.6. I have many troubles: rpm db is empty: try googling, find restore process, but always empty ...
1
vote
1answer
15 views

Enable SCL python27 so other RPMs can see it

Trying to create an RPM that uses Python 2.7 on a RHEL 6 machine. I'm using SCL to enable Python2.7 and building the RPM with it fine. However, when I try to install that RPM on a different system ...
1
vote
0answers
37 views

Reinstaling NSS library on CentOS (Amazon AMI)

I had a problem during updating of the packages on CentOS AMI from Amazon (S3). I got a bunch of duplicated packages. Among them: nss-softokn-freebl-3.16.2.3-14.2.38.amzn1.x86_64 is a duplicate with ...
10
votes
2answers
13k views

Local installation of .rpms using YUM

I'm asking this question cautiously because I don't want to get this wrong. I have a program_name.rpm file saved locally on my server (CentOS 6.5). I have installed it previously just by navigating ...
1
vote
1answer
57 views

rpm --verify does not inform about missing file

I noticed there is a missing file in the MySQL installation in a RHEL server. I want to know if there are more missing files so I tried to use rpm --verify (or rpm -V), however it doesn't output ...
0
votes
2answers
34 views

rpm -Vf doesn't report a changed file

I'm trying to write a puppet module that writes a templated config out but onlyif it's the stock config from the RPM (so as to not screw with any formatting they have going on). The rest of config ...
1
vote
1answer
3k views

“Requires: perl(:MODULE_COMPAT_5.8.8)”

I use CentOS 6.5 for my server with below repository: IUS epel ces-standard-* base/upgrade/extras When I tried to update today (it's been a while I haven't updated this server), I got the ...
0
votes
1answer
537 views

Getting Error in Dependency Resolution during installing vlc media player on centos7?

I was trying to install vlc on centos7 using yum install vlc as root user, But didn't succeed. I think previously I install wrong repository. I am getting following error. Following is only part ...
0
votes
1answer
41 views

I installed python 2.7 on RHEL6 server, want to go back to 2.6

I am on RHEL6 and I installed python27 using these commands: sudo sh -c 'wget -qO- http://people.redhat.com/bkabrda/scl_python27.repo >> /etc/yum.repos.d/scl.repo' sudo yum install python27 ...
1
vote
1answer
71 views

How to modify default install directory for rpmbuild command?

On Suse Linux Enterprise Server 11, I use rpmbuild to install a source rpm: linux-a21w:/usr/src/packages/SPECS # rpmbuild -v -bi zlib.spec By default, it installs into /var/tmp/zlib-1.2.7-build ...
1
vote
2answers
18 views

Build an RPM for a specific minor version of RH

I need an RPM built for a specific minor version of RH, so that it only installs on that minor version (ex RHEL 6.4) and not on other minor versions like RHEL 6.6. Also when rpm/yum installs this pkg ...
2
votes
2answers
1k views

rpm temp file question (rpm-tmp)

When installing an RPM on CentOS, I receive the following error message: /var/tmp/rpm-tmp.44492: line 578: [: too many arguments The trouble I'm having is that /var/tmp/rpm-tmp.xxxxx file is always ...
0
votes
0answers
28 views

Fedora 20: Chrome can't install from repository, version conflicts

I previously had Chrome installed via downloading an rpm package and just installing, but I'm trying to install the latest version of Chrome from a repository so I can keep it updated. I uninstalled ...
11
votes
2answers
847 views

What is less doing with rpm, and how do I get that text without rpm

When I execute less package.rpm, less shows me all sorts of meta info about the package. What is less exactly doing - does it have built in code to be able to extract meta info, or is an rpm ...
1
vote
1answer
41 views

Self updating application

I'm writing an application (say, example_1.0.rpm) that is hosted externally (on example.com) and this app tries to update itself on every launch whenever new version is available. My approach: ...
1
vote
0answers
15 views

Package additional in-tree modules

Targeting an up to date Fedora whose kernel unfortunately lacks a module: Is it possible to package the module (using kmod or whatever existing infrastructure), so that the module package has the ...
3
votes
2answers
9k views

How To Locate Dependencies Needed by RPM Packages

I am trying to deal with keeping our RHEL 5 server patched up, but also dealing with our security constraints. This particular server is not allowed to talk to the Internet. So yum isn't really an ...
1
vote
1answer
2k views

Install Locally using dnf in Fedora without using internet connection

I am trying to locally install an rpm package without using the internet. I tried the following: sudo rpm -u kernel-devel-4.2.7-200.fc22.x86_64.rpm and I got: error: kernel-devel-4.2.7-200.fc22....
0
votes
1answer
47 views

Can I build centos 7 (el7) rpm package on centos 6 (el6) server?

There are some documents teaching me on how to build rpm by myself in centos with rpm-build or mock. I am fine to build them for el6 rpm package. My question is, can I build a rpm package for centos ...
0
votes
2answers
76 views

yum --download for CentOS with ubuntu?

I have an enterprise network, people seems not willing to download rpm and dependancies for CentOS. How can I yum --download pkg_name --directory my_repo in a system which do not use yum as ...
0
votes
1answer
195 views

Centralized package management for RPM based distro

We have about 6 servers under Linux CentOS. And I want to have possibility to view (best will be some web-interface, but console-only useful too) outdated packages, which can be updated and have all ...
1
vote
2answers
1k views

httpd-devel requires outdated version of glibc-common on CentOS 6.3

httpd-devel requires an outdated version of glibc-common on CentOS 6.3 x86_64 and Apache/2.2.15. It wants 2.12-1.80.el6 and I have 2.12-1.80.el6_3.3.x86_64 installed (via CentOS @update repo) Here is ...
3
votes
2answers
3k views

Cannot update glibc on CentOS 7

I have CentOS 7 installed. I want to install the APR package for Apache, and I'm told I cannot install it because it requires at least glibc.2.14 while I have glibc.2.12 installed. I have downloaded ...
2
votes
4answers
2k views

How to change from existing DEB files to Centos RPM

I'm moving a product from Ubuntu 12.04 to Centos 6.6. I have ~500 deb files. (for example 'dpkg -i libaio1_0.3.109-2ubuntu1_amd64.deb'). I need these debs on Centos . Is there a viable way to ...
1
vote
1answer
903 views

Installing Octave Dependencies on CentOS 6 using yum

I am trying to install Octave 4.0.0 (from source) locally in my home directory on a CentOS 6 cluster. This is a rather extensive install (see list of dependencies). I have several issues : From ...
129
votes
12answers
66k views

What are the pros/cons of deb vs. rpm?

For whatever reasons, I've always used RPM based distros (Fedora, Centos and currently openSUSE). I have often heard it stated that deb is better than rpm, but when asked why, have never been able to ...
2
votes
1answer
5k views

Unable to use yum repos whether with baseurl or mirrorlist in CentOS 6.5

Since a couple of days, I'm unable to retrieve repositories data with Yum, in my CentOS 6.5 server. I did yum clean all a dozen of times, it emptied all but didn't solved the problem. I tried to ...
2
votes
1answer
511 views

can not install mysql-server on centos 6.7 32bit . Error: need rpm?

when I try to install mysql-server on centos with this command: yum install mysql-server server replies: Loaded plugins: fastestmirror, security Setting up Install Process Loading mirror speeds ...
7
votes
2answers
11k views

How does createrepo work. How does yum understand parse its files. A conceptual explanation

I am not looking for a how-to on creating a repo (createrepo) or using yum. I want to understand how they work together. I want to know what files yum looks at and why, what those files contain. I ...
10
votes
5answers
19k views

List all RPM packages installed from repo “X”

How can I get a list of all of the RPM packages that have been installed on my system from a particular repo (e.g., "epel")?
5
votes
2answers
7k views

What does EL5 and EL6 means in term of packages?

I am new to CentOS and I am using it because Citrix XenServer is running on it. [root@xen01 shm]# uname -a Linux xen01 2.6.32.43-0.4.1.xs1.8.0.855.170800xen #1 SMP Mon Jul 21 05:12:35 EDT 2014 i686 ...
0
votes
1answer
49 views

Having problems updating after esx host problem

So I have a VM that had to be hard shutdown. I can't get the error to stop. CentOS 7.x latest [user@asm-dmz01 ~]$ sudo yum-complete-transaction --cleanup-only Loaded plugins: fastestmirror Loading ...
0
votes
1answer
33 views

How to verify if an rpm was installed from scratch or upgraded?

Today, we installed the following rpm's via yum on redhat version 5 # rpm -qa --last | head -10 kernel-headers-2.6.18-408.el5 Wed May 18 13:33:59 2016 bind-utils-9.3.6-25.P1....
0
votes
1answer
23 views

Circular dependencies that cannot be fulfilled. PHP packages on CentOS 7 to support Drupal 8

I am trying to install Drupal 8.0.5 on Apache 2.4.6 on CentOS 7, with PHP 5.6.19. I get an error that PHP extensions are disabled. The detail I get is that it pertains to "gd." I have installed, ...
0
votes
3answers
33 views

rpm is installed / rpm is not installed issue

I've run into a bit of an issue with rpm on an Oracle Linux 6.5 box. I installed an RPM, and it appears to have installed successfully. However, now I am trying to remove it, but rpm says it's ...
0
votes
0answers
75 views

unable to update HTTPD, mod_jk dependency error

While trying to update httpd in RHEL6, getting some dependency error as below: Unsatisfied dependencies for mod_jk-ap20-1.2.31-1.x86_64: httpd = 2.2.3 is needed by mod_jk-ap20-1.2.31-1.x86_64 I am ...
0
votes
4answers
91 views

yum + how to remove unused rpm/patch on linux redhat

I am using yum to install a patch update on my RedHat Linux machine, Is it possible to use yum on different way in order to uninstall unused rpms/patches? My goal is to remove the unnecessary rpm/...
1
vote
1answer
21 views

Binary file got corrupted after packaging

A quick overview, what I'm doing is bundling a nodejs application using enclose.js into a single binary, then using rpmbuild to turn the whole project with config files into a single package. ...
2
votes
1answer
48 views

How can I install a local RPM using only the local dependency RPM files?

In my CentOS machine (VirtualBox VM, altough I assume this shouldn't matter), I have a directory including an RPM file and all of its dependency RPM files. I want to install the RPM along with all of ...
0
votes
1answer
29 views

compiling rpm 4.11 for RHEL5

I am trying to compile rpm 4.11.2 on RHEL 5 machine. When I do ./configure it gives error . . checking for nspr.h... yes checking nss.h usability... yes checking nss.h presence......
5
votes
1answer
6k views

How can I build a rpm for i386 target on a x86-64 machine?

I am building an rpm using rpmbuild command as: rpmbuild -bb --root <DIRECTORY> --target i386 --define "_topdir <DIRECTORY>" <specfile>.spec When I use my SLED 10 SP3 x86 machine, ...
0
votes
1answer
513 views

Error when tryhing to rebuild an RPM

I just use Linux for a LAMP server. I'm currently installing Apache 2.4 on CentOS 6.4 (x64). How do I resolve this error below? rpmbuild: arguments to --root (-r) must begin with a / [root@...
3
votes
1answer
3k views

force zypper to install a specific version

i have my own personal repo with older versions of rpms in it. If i want to install boost-license version 1.36.0.11.17 i do the following zypper install boost-license=1.36.0-11.17 this seems to be ...